# CUpti_PCSamplingGetDataParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiPCSamplingEnable.

## Data Fields
CUcontext | ctx
void * | pcSamplingData
void * | pPriv
size_t | size

## Field Documentation

CUcontext CUpti_PCSamplingGetDataParams::ctx

[w] CUcontext

void* CUpti_PCSamplingGetDataParams::pcSamplingData

Parameters:

  | pcSamplingData | Data buffer to hold collected PC Sampling data PARSED_DATA Buffer type is void * which can point to PARSED_DATA Refer CUpti_PCSamplingData for buffer format for PARSED_DATA

void* CUpti_PCSamplingGetDataParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingGetDataParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingGetDataParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.